<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>公司业绩库管理</title>
	<meta name="decorator" content="default"/>
	<style type="text/css">
		img{width: 50px;height: 50px;}
	</style>
	<script type="text/javascript">
        $(document).ready(function() {
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });
        });

        function openDialogreProject(title,url,width,height,target){

            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: ['90%','90%'],
                title:title,
                skin:"two-btns",
                name:'friend',
                content: encodeURI("${ctx}/workinvoice/workInvoice/selectprojectperfces?url=${ctx}/workinvoice/workInvoice/selectprojectperfce&isAll=true&type=null&isSingle=false") ,
                btn: ['确定', '关闭'],
                yes: function(index, layero){
                    var iframeWin = layero.find('iframe')[0].contentWindow; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var item = iframeWin.getSelectedItem();
                    if(item == "-1"){
                        return;
                    }
                    var _ids; ;
                    if(false){//单选
                        _ids = item.id;
                        //selectUserInfo(item.userId);
                    }else{//多选
                        var ids = [], names = [];
                        for (var i=0;i<item.length;i++){
                            ids.push(item[i].id);
                        }
                        var arr=ids.join(",").replace(/u_/ig,"");
                        _ids = arr;
                        //setUserInfo(arr);
                    }
                    console.log(_ids);
                    //console.log($("#id").val());
                    $.ajax({
                        type:"post",
                        url:'${ctx}/workperformance/workPerformance/projectIds',
                        data:{"ids":_ids},
                        dataType:"json",
                        success:function(data){
                            if(data.success) {
                                parent.layer.msg(data.msg,{icon:1});
                                search();
                            }else {
                                parent.layer.msg(data.msg,{icon:2});
                            }
                        }
                    })
                    top.layer.close(index);//关闭对话框。

                },
                cancel: function(index){
                }
            });
        }
        function openDialogre(title,url,width,height,target){

            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: false, //开启最大化最小化按钮
                skin: 'three-btns',
                content: url ,
                btn: ['提交','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn3: function(index){
                }
            });
        }
	</script>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">

				<form:form id="searchForm" modelAttribute="workPerformance" action="${ctx}/workperformance/workPerformance/" method="post" class="form-inline">
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<div class="commonQuery lw8">
						<div class="layui-item query athird">
							<label class="layui-form-label">工程分类：</label>
							<div class="layui-input-block">
								<form:input id="type" path="type" htmlEscape="false" class="form-control  layui-input"/>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">主委托方：</label>
							<div class="layui-input-block">
								<form:input path="client" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
							</div>
						</div>
						<div class="layui-item athird">
							<div class="input-group">
								<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
								<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
					<div id="moresees" class="lw8" style="clear:both;display:none;">
							<%--<div class="layui-item query athird">
                                <label class="layui-form-label">专业：</label>
                                <div class="layui-input-block">
                                    <form:input path="specialty" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
                                </div>
                            </div>--%>
					</div>
				</form:form>
			</div>
		</div>
		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<%--此处按钮样式包括 nav-btn-add nav-btn-refresh nav-btn-import nav-btn-export nav-btn-query nav-btn-reset--%>
					<shiro:hasPermission name="workperformance:workPerformance:add">
						<a href="javascript:void(0)" onclick="openDialogreProject('选择项目', '${ctx}/workinvoice/workInvoice/selectprojectperfces','90%','90%')" class="nav-btn nav-btn-add" ><i class="fa fa-plus"></i>&nbsp;引用</a>
					</shiro:hasPermission>
						<shiro:hasPermission name="workperformance:workPerformance:import">
							<table:importExcel url="${ctx}/workperformance/workPerformance/import"></table:importExcel><!-- 导入按钮 -->
						</shiro:hasPermission>
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'index',align:'center', title: '序号',width:40}
                ,{field:'num',align:'center',title: '编号',width:160,templet:function(d){
                    var xml = "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('查看公司业绩', '${ctx}/workperformance/workPerformance/form?id=" + d.id + "&tabId=view','95%','95%')\">" +
                        "<span title=" + d.num + ">" + d.num + "</span></a>";
                    return xml;
                }}
                ,{field:'name',align:'center', title: '项目名称',width:160,templet:function(d){
                    return "<span title='"+ d.name +"'>" + d.name + "</span>";
                }}
                ,{field:'client',align:'center', title: '主委托方',width:160,templet:function(d){
                    return "<span title='"+ d.client +"'>" + d.client + "</span>";
                }}
                ,{field:'content',align:'center', title: '服务内容',width:160,templet:function(d){
                    return "<span title='"+ d.content +"'>" + d.content + "</span>";
                }}
                ,{field:'type',align:'center', title: '工程分类',width:160,templet:function(d){
                    return "<span title='"+ d.type +"'>" + d.type + "</span>";
                }}
                ,{field:'serviceDate',align:'center', title: '服务起止时间',width:160,templet:function(d){
                    return "<span title='"+ d.serviceDate +"'>" + d.serviceDate + "</span>";
                }}
                ,{field:'contractPrice',align:'center', title: '合同金额',width:160,templet:function(d){
                    return "<span title='"+ d.contractPrice +"'>" + d.contractPrice + "</span>";
                }}
                ,{field:'investmentAmount',align:'center', title: '投资额',width:160,templet:function(d){
                    return "<span title='"+ d.investmentAmount +"'>" + d.investmentAmount + "</span>";
                }} ,{field:'scaleQuantity',align:'center', title: '建筑面积/规模',width:160,templet:function(d){
                    return "<span title='"+ d.scaleQuantity +"'>" + d.scaleQuantity + "</span>";
                }} ,{field:'linkman',align:'center', title: '委托方联系人/电话',width:160,templet:function(d){
                    return "<span title='"+ d.linkman +"'>" + d.linkman + "</span>";
                }}
                ,{field:'contractSource',align:'center', title: '合同来源',width:160,templet:function(d){
                    return "<span title='"+ d.contractSource +"'>" + d.contractSource + "</span>";
                }}
                ,{field:'officeName',align:'center', title: '所属部门',width:160,templet:function(d){
                    return "<span title='"+ d.officeName +"'>" + d.officeName + "</span>";
                }}
                ,{field:'projectLeaders',align:'center', title: '项目负责人',width:160,templet:function(d){
                    return "<span title='"+ d.projectLeaders +"'>" + d.projectLeaders + "</span>";
                }}
                ,{field:'record',align:'center', title: '是否归档',width:160,templet:function(d){
                    return "<span title='"+ d.record +"'>" + d.record + "</span>";
                }}
                ,{field:'source', align:'center',title: '数据来源',width:160,templet:function(d){
                    return "<span title='"+ d.source +"'>" + d.source + "</span>";
                }}
                ,{field:'op',align:'center',title:"操作",width:130,templet:function(d){
                    ////对操作进行初始化
                    var xml = "";
                    if(d.canedit1 != undefined && d.canedit1 == "1")
                        xml +="<a href=\"javascript:void(0)\" onclick=\"openDialogre('修改公司业绩', '${ctx}/workperformance/workPerformance/form?id="+ d.id + "','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>";
                    if(d.candelete != undefined && d.candelete == "1")
                        xml +="<a href=\"${ctx}/workperformance/workPerformance/delete?id=" + d.id + "\" onclick=\"return confirmx('确认要删除该业绩吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 删除</a>";
                    return xml;
                }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workPerformance" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"id":"${workPerformance.id}"
                    ,"num":"${workPerformance.num}"
                    ,"name":"${workPerformance.name}"
                    ,"client":"${workPerformance.client}"
                    ,"content":"${workPerformance.content}"
                    ,"type":"${workPerformance.type}"
                    ,"serviceDate":"${workPerformance.serviceDate}"
                    ,"contractPrice":"${workPerformance.contractPrice}"
                    ,"investmentAmount":"${workPerformance.investmentAmount}"
                    ,"scaleQuantity":"${workPerformance.scaleQuantity}"
                    ,"linkman":"${workPerformance.linkman}"
                    ,"contractSource":"${workPerformance.contractSource}"
                    ,"officeName":"${workPerformance.officeName}"
                    ,"projectLeaders":"${workPerformance.projectLeaders}"
                    ,"record":"${workPerformance.record}"
                    ,"source":"${workPerformance.source}"
                    <shiro:hasPermission name="workperformance:workPerformance:edit"><c:choose>
                    <c:when test="${'1' == '1' }">,"canedit1":"1"</c:when>
                    </c:choose></shiro:hasPermission>
                    <shiro:hasPermission name="workperformance:workPerformance:del"><c:choose>
                    <c:when test="${'1' == '1'}">,"candelete":"1"</c:when>
                    </c:choose></shiro:hasPermission>
                }
                </c:forEach>
                </c:if>
            ]
            // ,even: true
            // ,height: 315
        });

    })

    resizeListTable();
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>